Subject: Re: [RFC] GIT Repository Annotation Convention

From: A Large Angry SCM <[email-masked]>
Date: Sun, 11 Sep 2005 14:08:24 -0400

Matthias Urlichs wrote:
> Hi, A Large Angry SCM wrote:
> 
>>Think about a directory containing directories "foo" and "foo.txt":
>>
> Can you tell us why you're using extensions in the first place?
> 
> I propose using no extensions whatsoever: simply mirror the refs/ tree.
> 

The extensions allow the annotation of directories as well as files. 
That's something that can't be done if extensions are not used.